Page MenuHomePhabricator

Reviewing new versions of files: Remains in the same pending changes state
Open, NormalPublic

Description

If a user without the autoreviewer right uploads a new version of a previously reviewed (in a last version) file, but does not edit its description page, the file is in the pending changes state. However, after the file is reviewed (either its latest version or the diff), it remains in the same pending changes state. Although the respective record appears in the review log and the diff between the reviewed and the latest version shows no changes. To overcome this, one only has to unaccept the latest reviewed revision and to re-accept the latest file version. (Probably, these are not the only conditions. As far as I remember, this workaround works not always.) See the file [[ru:Файл:Тест.png]] and its review log: https://ru.wikipedia.org/w/index.php?title=special:log&page=File:Тест.png&hide_review_log=0.


Version: unspecified
Severity: normal

Details

Reference
bz71910

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:45 AM
bzimport set Reference to bz71910.
bzimport added a subscriber: Unknown Object (MLST).
MBH created this task.Oct 10 2014, 11:17 AM
MBH set Security to None.Mar 6 2015, 7:41 PM
MBH added a subscriber: Aklapper.

Bump.

Restricted Application added a subscriber: Base. · View Herald TranscriptJan 22 2018, 1:03 PM